export interface InsertEmbed {
    image?: string;
    formula?: string;
    video?: string;
}
export interface RunAttributes {
    script?: 'super' | 'sub';
    color?: string;
    background?: string;
    bold?: boolean;
    italic?: boolean;
    underline?: boolean;
    strike?: boolean;
    font?: string;
    link?: string;
    size?: 'small' | 'large' | 'huge';
}
export interface LineAttributes {
    header?: 1 | 2;
    direction?: 'rtl';
    align?: 'right' | 'left' | 'center' | 'justify';
    indent?: number;
    blockquote?: boolean;
    list?: 'ordered' | 'bullet';
    "code-block"?: boolean;
}
export interface Attributes extends RunAttributes, LineAttributes {
}
export interface QuillOp {
    insert?: string | InsertEmbed;
    attributes?: Attributes;
    lineAttributes?: LineAttributes;
    runAttributes?: RunAttributes;
}
export interface RawQuillDelta {
    ops: QuillOp[];
}
export interface TextRun {
    text: string;
    attributes?: RunAttributes;
}
export interface Paragraph {
    textRuns?: (TextRun | {
        formula: string;
    })[];
    embed?: InsertEmbed;
    attributes?: LineAttributes;
}
export interface QHyperLink {
    text: string;
    link: string;
}
export interface SetupInfo {
    numberedLists: number;
    hyperlinks: QHyperLink[];
}
export interface ParsedQuillDelta {
    paragraphs: Paragraph[];
    setup: SetupInfo;
}
export declare function parseQuillDelta(quill: RawQuillDelta): ParsedQuillDelta;
//# sourceMappingURL=index.d.ts.map